Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.filters
Class ExpiresFilter.Duration

    java.lang.Object
      org.apache.catalina.filters.ExpiresFilter.Duration

Enclosing class:
  ExpiresFilter

    protected static class ExpiresFilter.Duration

extends Object

Duration composed of an `amount` and a `unit`

Field Summary
`protected int` | `amount`
`protected ExpiresFilter.DurationUnit` | `unit`

Constructor Summary
`ExpiresFilter.Duration(int amount, ExpiresFilter.DurationUnit unit)`

Method Summary
`int` | `getAmount()`
`ExpiresFilter.DurationUnit` | `getUnit()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### amount

    protected final int amount

### unit

    protected final ExpiresFilter.DurationUnit unit

Constructor Detail

### ExpiresFilter.Duration

    public ExpiresFilter.Duration(int amount,
                                  ExpiresFilter.DurationUnit unit)

Method Detail

### getAmount

    public int getAmount()

### getUnit

    public ExpiresFilter.DurationUnit getUnit()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.